FROM python

RUN apt-get update -y \
    && apt-get install sqlite3 libsqlite3-dev -y



ADD Projet.tar.gz .



COPY requirements.txt requirements.txt

RUN pip3 install -r requirements.txt

EXPOSE 8080


CMD ["/bin/bash", "-c" , "python3 manage.py runserver 0.0.0:8080"]


# FROM python

# RUN apt-get update
# RUN pip install virtualenv
# RUN apt-get install sqlite3 libsqlite3-dev -y

# ADD Projet.tar.gz  .
# SHELL ["/bin/bash", "-c" , "virtualenv venv"]

# COPY requirements.txt requirements.txt
# RUN pip3 install -r requirements.txt 



# SHELL ["/bin/bash", "-c" , "source venv/bin/activate; pip install django"]

# COPY execute.sh execute.sh

# EXPOSE 8080

# CMD ["bin/bash", "-c","source venv/bin/activate; python3 manage.py runserver 0.0.0.0:8080" ]






# RUN apt-get update -y \
#     && apt-get install python3-venv -y\
#     && apt install sudo -y
# RUN apt install python3
# RUN apt install curl -y 
# RUN curl -O https://bootstrap.pypa.io/get-pip.py
# RUN python3 get-pip.py --user
# SHELL [ "/bin/bash", "-c" , "sudo source /home/udoms/env/md/bin/activate && pip install Django"]
# SHELL ["/bin/bash", "-c" , "pip install Django"]    
# RUN pip install Django



# 	&& apt-get install -y --no-install-recommends \
# 		postgresql-client \
# 	&& rm -rf /var/lib/apt/lists/*

# WORKDIR /
# ADD Projet.tar.gz Projet/
# WORKDIR /Projet/
# EXPOSE 8080
# RUN python3 manage.py runserver

# RUN pip3 install -r requirements.txt
# RUN pip install django
# SHELL ["/bin/bash", "-c" , "source execute.sh"]
# SHELL [ "sudo /bin/bash ./execute.sh" ] 

# SHELL [ ,  ,  && ]
# RUN / 
